/**
 * PinnableElement
 * Pinned containers are typically dropdown menus that have been
 * placed in a sidebar column, e.g. page tools menu, main menu.
 */

.vector-pinnable-element {
	font-size: @font-size-dropdown;
}

.vector-pinned-container {
	.mixin-vector-content-box();
	.mixin-vector-scrollable-with-fade();
	// Border-box changes the height calculation.
	box-sizing: border-box;
	padding: @padding-vertical-dropdown-menu @padding-horizontal-dropdown-menu;
	margin-bottom: @grid-column-gap;
	// Height is viewport height - row gap above and below the container.
	max-height: ~'calc( 100vh - (@{grid-row-gap} * 2) )';
	display: none;

	// If there is no display grid support we remove pinnable elements
	@supports ( display: grid ) {
		display: block;
	}
}

.vector-sticky-pinned-container {
	// Applies styles for making a pinned element sticky
	position: sticky;
	top: @grid-row-gap;
}

@media ( max-width: @max-width-breakpoint-tablet ) {
	/**
 	 * At lower resolutions, we want to hide the pinned containers when JS is enabled since these
 	 * elements collapse (become unpinned) at this resolution via PinnableElement.js.
 	 * Although this is handled in JS, this rule prevents the pinned menu from
 	 * appearing on pageload, at low resolutions, before the JS kicks in.
 	 */
	&.client-js .vector-pinned-container {
		display: none;
	}
}
